Subject: Re: linux-next: Tree for Oct 2

From: Dan Carpenter <[email-masked]>
Date: Fri, 3 Oct 2025 22:16:17 +0300

On Fri, Oct 03, 2025 at 10:05:11AM +0300, Dan Carpenter wrote:
> On Thu, Oct 02, 2025 at 11:35:10PM +0200, Miguel Ojeda wrote:
> > On Thu, Oct 2, 2025 at 10:10 PM Dan Carpenter <[email-masked]> wrote:
> > >
> > >   RUSTC L rust/core.o
> > > error: cannot find a built-in macro with name `define_opaque`
> > >     --> /usr/lib/rustlib/src/rust/library/core/src/macros/mod.rs:1757:5
> > >      |
> > > 1757 | /     pub macro define_opaque($($tt:tt)*) {
> > > 1758 | |         /* compiler built-in */
> > > 1759 | |     }
> > >      | |_____^
> > >
> > 
> > Thanks Dan.
> > 
> > Hmm... Strange, it is the `core` library, which comes with the
> > compiler and thus should always work.
> > 
> > So it sounds like a mismatch between the binary used and the sources
> > of the standard library (or perhaps other kind of mismatch, like the
> > wrong edition being passed, but from a quick look it doesn't seem like
> > it).
> > 
> > I will try to reproduce it. Did you happen to recently upgrade the
> > toolchain(s) or something like that, by chance? Are you using the
> > Debian packages?
> 
> Yes.  I am using the debian packages.  To be honest, I don't know it I
> broke it with an update.  It's possible.  I am all the way updated with
> `apt dist-upgrade`.
> 
> I'm on rustc version 1.87.0+dfsg1-1.
> 

It's fixed in today's linux-next.

I did go back and confirm that it was definitely something in the kernel
yesterday.  But it's fixed now, so no worries.

regards,
dan carpenter